Name:           compiz-fusion-plugins-unsupported
Version:        0.7.7
Release:        7%{?dist}
Summary:        Collection of Compiz Fusion plugins for Compiz - Unsupported plugins
Vendor:         compiz-fusion repo
Packager:       Leigh Scott <leigh123linux@googlemail.com>
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64
BuildRequires:  compiz-devel = %{version}, compiz-bcop = %{version} , compiz-fusion-plugins-main-devel = %{version} , cairo-devel , pango-devel >= 1.0, perl(XML::Parser), intltool, gettext
Requires:       compiz = %{version}, compiz-fusion-plugins-main = %{version}

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package of plugins provides some extra plugins

This package contains older plugins which are no longer supported

%prep
%setup -q


%build
./autogen.sh   --program-prefix= \
	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=%{_libdir} \
	--libexecdir=/usr/libexec \
	--localstatedir=/var \
	--sharedstatedir=/usr/com \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.a" -o -name "*.la" | xargs rm -f

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang

%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS VERSION
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/snowflake.png

%changelog
* Fri Jun 13 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-7
- rebuild

* Fri Jun 13 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-6
- rebuild

* Tue Jun 10 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-5
- rebuild

* Mon Jun 9 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-4
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-3
- rebuild

* Sun Jun 8 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-2
- Cleanup spec file 

* Thu May 31 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.7-1
- 0.7.7 release

* Thu Apr 03 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.5-1
- 0.7.5 release

* Fri Mar 07 2008 Leigh Scott <leigh123linux@googlemail.com> 0.7.3-1
- 0.7.3 release

* Tue Aug 14 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.5.2-0.1
- 0.5.2 release

